Recent

Author Topic: Lazarus 3.4 not working  (Read 1183 times)

egsuh

  • Hero Member
  • *****
  • Posts: 1394
Lazarus 3.4 not working
« on: June 21, 2024, 03:06:33 pm »
Recently I reinstalled Windows 11 again, and then Lazarus 3.4.
I tried to install HTMLViewer from Online package manager, and it compiled and went on...
But suddenly it says it cannot run the application because sqlite3.dll is not found (this does not seem Lazarus message as it is displayed in Korean, not English).
My PC might have been installed sqlite3.dll before the Windows re-installation. But this dll should not be necessary. Is it necessary if I want to use lazdbexport?

TRon

  • Hero Member
  • *****
  • Posts: 2865
Re: Lazarus 3.4 not working
« Reply #1 on: June 21, 2024, 03:30:22 pm »
My PC might have been installed sqlite3.dll before the Windows re-installation. But this dll should not be necessary. Is it necessary if I want to use lazdbexport?
Well.. according to the wiki it has a component named TSQLExporter ... so what do you think yourself ?

egsuh

  • Hero Member
  • *****
  • Posts: 1394
Re: Lazarus 3.4 not working
« Reply #2 on: June 21, 2024, 04:09:05 pm »
Not sure yet. It cannot upload lazarus itself so i’m suspicious of some part of lazarus requires sqlite3.dlll.

cdbc

  • Hero Member
  • *****
  • Posts: 1329
    • http://www.cdbc.dk
Re: Lazarus 3.4 not working
« Reply #3 on: June 21, 2024, 04:19:17 pm »
Hi
Well Duh!  8-)
How about 'TSqlite3Connection' ?!?
Regards Benny
If it ain't broke, don't fix it ;)
PCLinuxOS(rolling release) 64bit -> KDE5 -> FPC 3.2.2 -> Lazarus 2.2.6 up until Jan 2024 from then on it's: KDE5/QT5 -> FPC 3.3.1 -> Lazarus 3.0

TRon

  • Hero Member
  • *****
  • Posts: 2865
Re: Lazarus 3.4 not working
« Reply #4 on: June 21, 2024, 04:19:45 pm »
@egsuh: On windows you can use a dependency walker (see also wikipedia) to see what libraries a program (Lazarus in this case) depends on.

egsuh

  • Hero Member
  • *****
  • Posts: 1394
Re: Lazarus 3.4 not working
« Reply #5 on: June 22, 2024, 08:40:24 am »
I made it work simply copying sqlite3.dll to c:\Windows\system32 directory.
Some of my units have calsl for sqlite3 even though it is not used, because I tried both sqlite3 in the past and bufdataset (and decided to use bufdataset). If I find one then I'll test it again.
But still strange that Lazarus itself does not start.

af0815

  • Hero Member
  • *****
  • Posts: 1334
Re: Lazarus 3.4 not working
« Reply #6 on: June 22, 2024, 09:22:09 am »
This not start of Lazarus is normal. If didn't put the correct diver in system, you have to put it twice, one in the dir of Lazarus and one in your Programm folder. But depending of the bitness of your Lazarus and your app it can be different.

Lazarus must find the bitness of its own for design time and the app must find the bitness for it's running. Sometimes it is confusing :-) If Lazarus is not starting, start it from comma line, maybe with enabled debugging, so you can see what's happening.
regards
Andreas

egsuh

  • Hero Member
  • *****
  • Posts: 1394
Re: Lazarus 3.4 not working
« Reply #7 on: June 22, 2024, 09:48:09 am »
Anyway I don't think this is my program's problem, as the same program runs without any problem on other PCs (which does not have sqlite3.dll).  But the Lazarus version is 3.2.

paweld

  • Hero Member
  • *****
  • Posts: 1087
Re: Lazarus 3.4 not working
« Reply #8 on: June 22, 2024, 10:08:20 am »
Some components may require the sqlite3.dll library. One of them is sqlite3laz - it comes with lazarus, but is not pre-installed. But after installation (Package > Install / Uninstall package) Lazarus already needs the presence of the sqlite library
Best regards / Pozdrawiam
paweld

egsuh

  • Hero Member
  • *****
  • Posts: 1394
Re: Lazarus 3.4 not working
« Reply #9 on: June 22, 2024, 12:31:03 pm »
Quote
One of them is sqlite3laz - it comes with lazarus, but is not pre-installed. But after installation (Package > Install / Uninstall package) Lazarus already needs the presence of the sqlite library

Hmmm.. Yes, sqlite3laz is installed on the problematic PC, and not installed on the working PC. I expect this is the reason. But I'll not test this by uninstalling .lpk and sqlite3.dll. I might need sqlite3 sooner or later. 

 

TinyPortal © 2005-2018